package com.bocloud.cmp.model.h3c;

public class H3cTaskMsgModel {
    /**
     * 任务 ID。
     * 长整数（long）类型。
     */
    private Long msgId;
    /**
     * 任务名称描述;
     * 字符串（String）类型。
     */
    private String name;
    /**
     * 操作目标ID;
     * 长整数（long）类型。
     */
    private Long targetId;
    /**
     * 操作目标名称;。
     * 字符串（String）类型。
     */
    private String targetName;
    /**
     * 任务详细信息;。
     * 字符串（String）类型。
     */
    private String detail;
    /**
     * 任务是否已完成;
     * 枚举类型:true;false。
     */
    private Boolean completed;
    /**
     * 执行结果; 0:成功 1:失败 2:部分成功。
     * 枚举（Integer）类型。
     */
    private Integer result;
    /**
     * 失败信息(当任务成功时内容为任务信息) {
     * }。
     * 字符串（String）类型。
     */
    private String failMsg;
    /**
     * 任务类型;。
     * 整数（int）类型。
     */
    private Integer eventType;

    public Long getMsgId() {
        return msgId;
    }

    public void setMsgId(Long msgId) {
        this.msgId = msgId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getTargetId() {
        return targetId;
    }

    public void setTargetId(Long targetId) {
        this.targetId = targetId;
    }

    public String getTargetName() {
        return targetName;
    }

    public void setTargetName(String targetName) {
        this.targetName = targetName;
    }

    public String getDetail() {
        return detail;
    }

    public void setDetail(String detail) {
        this.detail = detail;
    }

    public Boolean getCompleted() {
        return completed;
    }

    public void setCompleted(Boolean completed) {
        this.completed = completed;
    }

    public Integer getResult() {
        return result;
    }

    public void setResult(Integer result) {
        this.result = result;
    }

    public String getFailMsg() {
        return failMsg;
    }

    public void setFailMsg(String failMsg) {
        this.failMsg = failMsg;
    }

    public Integer getEventType() {
        return eventType;
    }

    public void setEventType(Integer eventType) {
        this.eventType = eventType;
    }
}
